diff --git a/srvdata/db_fortunegod_weightcondition.go b/srvdata/db_fortunegod_weightcondition.go
index 47bbc7d..1888f3a 100644
--- a/srvdata/db_fortunegod_weightcondition.go
+++ b/srvdata/db_fortunegod_weightcondition.go
@@ -10,11 +10,16 @@ import (
     "mongo.games.com/game/protocol/server"
 )
 
-var PBDB_FortuneGod_WeightConditionMgr = &DB_FortuneGod_WeightConditionMgr{pool: make(map[int32]*server.DB_FortuneGod_WeightCondition), Datas: &server.DB_FortuneGod_WeightConditionArray{}}
+var PBDB_FortuneGod_WeightConditionMgr = &DB_FortuneGod_WeightConditionMgr{
+    Datas: &server.DB_FortuneGod_WeightConditionArray{},
+    pool: make(map[int32]*server.DB_FortuneGod_WeightCondition),
+    
+}
 
 type DB_FortuneGod_WeightConditionMgr struct {
 	Datas *server.DB_FortuneGod_WeightConditionArray
 	pool  map[int32]*server.DB_FortuneGod_WeightCondition
+	
 }
 
 func (this *DB_FortuneGod_WeightConditionMgr) unmarshal(data []byte) error {
@@ -34,6 +39,7 @@ func (this *DB_FortuneGod_WeightConditionMgr) reunmarshal(data []byte) error {
 			if existItem == nil {
 				this.pool[item.GetId()] = item
 				this.Datas.Arr = append(this.Datas.Arr, item)
+				
 			} else {
 				*existItem = *item
 			}
@@ -54,6 +60,7 @@ func (this *DB_FortuneGod_WeightConditionMgr) arrangeData() {
 
 	for _, data := range dataArr {
 		this.pool[data.GetId()] = data
+		
 	}
 }
 
@@ -64,6 +71,7 @@ func (this *DB_FortuneGod_WeightConditionMgr) GetData(id int32) *server.DB_Fortu
 	return nil
 }
 
+
 func init() {
 	DataMgr.register("DB_FortuneGod_WeightCondition.dat", &ProtobufDataLoader{dh: PBDB_FortuneGod_WeightConditionMgr})
 }
diff --git a/srvdata/db_game_drop.go b/srvdata/db_game_drop.go
index 26ef2e6..9a09677 100644
--- a/srvdata/db_game_drop.go
+++ b/srvdata/db_game_drop.go
@@ -10,11 +10,16 @@ import (
     "mongo.games.com/game/protocol/server"
 )
 
-var PBDB_Game_DropMgr = &DB_Game_DropMgr{pool: make(map[int32]*server.DB_Game_Drop), Datas: &server.DB_Game_DropArray{}}
+var PBDB_Game_DropMgr = &DB_Game_DropMgr{
+    Datas: &server.DB_Game_DropArray{},
+    pool: make(map[int32]*server.DB_Game_Drop),
+    
+}
 
 type DB_Game_DropMgr struct {
 	Datas *server.DB_Game_DropArray
 	pool  map[int32]*server.DB_Game_Drop
+	
 }
 
 func (this *DB_Game_DropMgr) unmarshal(data []byte) error {
@@ -34,6 +39,7 @@ func (this *DB_Game_DropMgr) reunmarshal(data []byte) error {
 			if existItem == nil {
 				this.pool[item.GetId()] = item
 				this.Datas.Arr = append(this.Datas.Arr, item)
+				
 			} else {
 				*existItem = *item
 			}
@@ -54,6 +60,7 @@ func (this *DB_Game_DropMgr) arrangeData() {
 
 	for _, data := range dataArr {
 		this.pool[data.GetId()] = data
+		
 	}
 }
 
@@ -64,6 +71,7 @@ func (this *DB_Game_DropMgr) GetData(id int32) *server.DB_Game_Drop {
 	return nil
 }
 
+
 func init() {
 	DataMgr.register("DB_Game_Drop.dat", &ProtobufDataLoader{dh: PBDB_Game_DropMgr})
 }
diff --git a/srvdata/db_game_introduction.go b/srvdata/db_game_introduction.go
index 6a7e7d1..819d339 100644
--- a/srvdata/db_game_introduction.go
+++ b/srvdata/db_game_introduction.go
@@ -10,11 +10,16 @@ import (
     "mongo.games.com/game/protocol/server"
 )
 
-var PBDB_Game_IntroductionMgr = &DB_Game_IntroductionMgr{pool: make(map[int32]*server.DB_Game_Introduction), Datas: &server.DB_Game_IntroductionArray{}}
+var PBDB_Game_IntroductionMgr = &DB_Game_IntroductionMgr{
+    Datas: &server.DB_Game_IntroductionArray{},
+    pool: make(map[int32]*server.DB_Game_Introduction),
+    
+}
 
 type DB_Game_IntroductionMgr struct {
 	Datas *server.DB_Game_IntroductionArray
 	pool  map[int32]*server.DB_Game_Introduction
+	
 }
 
 func (this *DB_Game_IntroductionMgr) unmarshal(data []byte) error {
@@ -34,6 +39,7 @@ func (this *DB_Game_IntroductionMgr) reunmarshal(data []byte) error {
 			if existItem == nil {
 				this.pool[item.GetId()] = item
 				this.Datas.Arr = append(this.Datas.Arr, item)
+				
 			} else {
 				*existItem = *item
 			}
@@ -54,6 +60,7 @@ func (this *DB_Game_IntroductionMgr) arrangeData() {
 
 	for _, data := range dataArr {
 		this.pool[data.GetId()] = data
+		
 	}
 }
 
@@ -64,6 +71,7 @@ func (this *DB_Game_IntroductionMgr) GetData(id int32) *server.DB_Game_Introduct
 	return nil
 }
 
+
 func init() {
 	DataMgr.register("DB_Game_Introduction.dat", &ProtobufDataLoader{dh: PBDB_Game_IntroductionMgr})
 }
diff --git a/srvdata/db_game_pet.go b/srvdata/db_game_pet.go
index 0bf3d2e..275e373 100644
--- a/srvdata/db_game_pet.go
+++ b/srvdata/db_game_pet.go
@@ -10,11 +10,16 @@ import (
     "mongo.games.com/game/protocol/server"
 )
 
-var PBDB_Game_PetMgr = &DB_Game_PetMgr{pool: make(map[int32]*server.DB_Game_Pet), Datas: &server.DB_Game_PetArray{}}
+var PBDB_Game_PetMgr = &DB_Game_PetMgr{
+    Datas: &server.DB_Game_PetArray{},
+    pool: make(map[int32]*server.DB_Game_Pet),
+    
+}
 
 type DB_Game_PetMgr struct {
 	Datas *server.DB_Game_PetArray
 	pool  map[int32]*server.DB_Game_Pet
+	
 }
 
 func (this *DB_Game_PetMgr) unmarshal(data []byte) error {
@@ -34,6 +39,7 @@ func (this *DB_Game_PetMgr) reunmarshal(data []byte) error {
 			if existItem == nil {
 				this.pool[item.GetId()] = item
 				this.Datas.Arr = append(this.Datas.Arr, item)
+				
 			} else {
 				*existItem = *item
 			}
@@ -54,6 +60,7 @@ func (this *DB_Game_PetMgr) arrangeData() {
 
 	for _, data := range dataArr {
 		this.pool[data.GetId()] = data
+		
 	}
 }
 
@@ -64,6 +71,7 @@ func (this *DB_Game_PetMgr) GetData(id int32) *server.DB_Game_Pet {
 	return nil
 }
 
+
 func init() {
 	DataMgr.register("DB_Game_Pet.dat", &ProtobufDataLoader{dh: PBDB_Game_PetMgr})
 }
diff --git a/srvdata/db_game_role.go b/srvdata/db_game_role.go
index bd48bfd..b89ab9e 100644
--- a/srvdata/db_game_role.go
+++ b/srvdata/db_game_role.go
@@ -10,11 +10,16 @@ import (
     "mongo.games.com/game/protocol/server"
 )
 
-var PBDB_Game_RoleMgr = &DB_Game_RoleMgr{pool: make(map[int32]*server.DB_Game_Role), Datas: &server.DB_Game_RoleArray{}}
+var PBDB_Game_RoleMgr = &DB_Game_RoleMgr{
+    Datas: &server.DB_Game_RoleArray{},
+    pool: make(map[int32]*server.DB_Game_Role),
+    
+}
 
 type DB_Game_RoleMgr struct {
 	Datas *server.DB_Game_RoleArray
 	pool  map[int32]*server.DB_Game_Role
+	
 }
 
 func (this *DB_Game_RoleMgr) unmarshal(data []byte) error {
@@ -34,6 +39,7 @@ func (this *DB_Game_RoleMgr) reunmarshal(data []byte) error {
 			if existItem == nil {
 				this.pool[item.GetId()] = item
 				this.Datas.Arr = append(this.Datas.Arr, item)
+				
 			} else {
 				*existItem = *item
 			}
@@ -54,6 +60,7 @@ func (this *DB_Game_RoleMgr) arrangeData() {
 
 	for _, data := range dataArr {
 		this.pool[data.GetId()] = data
+		
 	}
 }
 
@@ -64,6 +71,7 @@ func (this *DB_Game_RoleMgr) GetData(id int32) *server.DB_Game_Role {
 	return nil
 }
 
+
 func init() {
 	DataMgr.register("DB_Game_Role.dat", &ProtobufDataLoader{dh: PBDB_Game_RoleMgr})
 }
diff --git a/srvdata/db_gamecoinpool.go b/srvdata/db_gamecoinpool.go
index d1c478f..6ba951c 100644
--- a/srvdata/db_gamecoinpool.go
+++ b/srvdata/db_gamecoinpool.go
@@ -10,11 +10,16 @@ import (
     "mongo.games.com/game/protocol/server"
 )
 
-var PBDB_GameCoinPoolMgr = &DB_GameCoinPoolMgr{pool: make(map[int32]*server.DB_GameCoinPool), Datas: &server.DB_GameCoinPoolArray{}}
+var PBDB_GameCoinPoolMgr = &DB_GameCoinPoolMgr{
+    Datas: &server.DB_GameCoinPoolArray{},
+    pool: make(map[int32]*server.DB_GameCoinPool),
+    
+}
 
 type DB_GameCoinPoolMgr struct {
 	Datas *server.DB_GameCoinPoolArray
 	pool  map[int32]*server.DB_GameCoinPool
+	
 }
 
 func (this *DB_GameCoinPoolMgr) unmarshal(data []byte) error {
@@ -34,6 +39,7 @@ func (this *DB_GameCoinPoolMgr) reunmarshal(data []byte) error {
 			if existItem == nil {
 				this.pool[item.GetId()] = item
 				this.Datas.Arr = append(this.Datas.Arr, item)
+				
 			} else {
 				*existItem = *item
 			}
@@ -54,6 +60,7 @@ func (this *DB_GameCoinPoolMgr) arrangeData() {
 
 	for _, data := range dataArr {
 		this.pool[data.GetId()] = data
+		
 	}
 }
 
@@ -64,6 +71,7 @@ func (this *DB_GameCoinPoolMgr) GetData(id int32) *server.DB_GameCoinPool {
 	return nil
 }
 
+
 func init() {
 	DataMgr.register("DB_GameCoinPool.dat", &ProtobufDataLoader{dh: PBDB_GameCoinPoolMgr})
 }
diff --git a/srvdata/db_gamefree.go b/srvdata/db_gamefree.go
index 8f59a79..325008a 100644
--- a/srvdata/db_gamefree.go
+++ b/srvdata/db_gamefree.go
@@ -10,11 +10,16 @@ import (
     "mongo.games.com/game/protocol/server"
 )
 
-var PBDB_GameFreeMgr = &DB_GameFreeMgr{pool: make(map[int32]*server.DB_GameFree), Datas: &server.DB_GameFreeArray{}}
+var PBDB_GameFreeMgr = &DB_GameFreeMgr{
+    Datas: &server.DB_GameFreeArray{},
+    pool: make(map[int32]*server.DB_GameFree),
+    
+}
 
 type DB_GameFreeMgr struct {
 	Datas *server.DB_GameFreeArray
 	pool  map[int32]*server.DB_GameFree
+	
 }
 
 func (this *DB_GameFreeMgr) unmarshal(data []byte) error {
@@ -34,6 +39,7 @@ func (this *DB_GameFreeMgr) reunmarshal(data []byte) error {
 			if existItem == nil {
 				this.pool[item.GetId()] = item
 				this.Datas.Arr = append(this.Datas.Arr, item)
+				
 			} else {
 				*existItem = *item
 			}
@@ -54,6 +60,7 @@ func (this *DB_GameFreeMgr) arrangeData() {
 
 	for _, data := range dataArr {
 		this.pool[data.GetId()] = data
+		
 	}
 }
 
@@ -64,6 +71,7 @@ func (this *DB_GameFreeMgr) GetData(id int32) *server.DB_GameFree {
 	return nil
 }
 
+
 func init() {
 	DataMgr.register("DB_GameFree.dat", &ProtobufDataLoader{dh: PBDB_GameFreeMgr})
 }
diff --git a/srvdata/db_gameitem.go b/srvdata/db_gameitem.go
index da5e908..abad399 100644
--- a/srvdata/db_gameitem.go
+++ b/srvdata/db_gameitem.go
@@ -10,11 +10,16 @@ import (
     "mongo.games.com/game/protocol/server"
 )
 
-var PBDB_GameItemMgr = &DB_GameItemMgr{pool: make(map[int32]*server.DB_GameItem), Datas: &server.DB_GameItemArray{}}
+var PBDB_GameItemMgr = &DB_GameItemMgr{
+    Datas: &server.DB_GameItemArray{},
+    pool: make(map[int32]*server.DB_GameItem),
+    
+}
 
 type DB_GameItemMgr struct {
 	Datas *server.DB_GameItemArray
 	pool  map[int32]*server.DB_GameItem
+	
 }
 
 func (this *DB_GameItemMgr) unmarshal(data []byte) error {
@@ -34,6 +39,7 @@ func (this *DB_GameItemMgr) reunmarshal(data []byte) error {
 			if existItem == nil {
 				this.pool[item.GetId()] = item
 				this.Datas.Arr = append(this.Datas.Arr, item)
+				
 			} else {
 				*existItem = *item
 			}
@@ -54,6 +60,7 @@ func (this *DB_GameItemMgr) arrangeData() {
 
 	for _, data := range dataArr {
 		this.pool[data.GetId()] = data
+		
 	}
 }
 
@@ -64,6 +71,7 @@ func (this *DB_GameItemMgr) GetData(id int32) *server.DB_GameItem {
 	return nil
 }
 
+
 func init() {
 	DataMgr.register("DB_GameItem.dat", &ProtobufDataLoader{dh: PBDB_GameItemMgr})
 }
diff --git a/srvdata/db_gamematchlevel.go b/srvdata/db_gamematchlevel.go
index 6b2476b..ec7a9f8 100644
--- a/srvdata/db_gamematchlevel.go
+++ b/srvdata/db_gamematchlevel.go
@@ -10,11 +10,16 @@ import (
     "mongo.games.com/game/protocol/server"
 )
 
-var PBDB_GameMatchLevelMgr = &DB_GameMatchLevelMgr{pool: make(map[int32]*server.DB_GameMatchLevel), Datas: &server.DB_GameMatchLevelArray{}}
+var PBDB_GameMatchLevelMgr = &DB_GameMatchLevelMgr{
+    Datas: &server.DB_GameMatchLevelArray{},
+    pool: make(map[int32]*server.DB_GameMatchLevel),
+    
+}
 
 type DB_GameMatchLevelMgr struct {
 	Datas *server.DB_GameMatchLevelArray
 	pool  map[int32]*server.DB_GameMatchLevel
+	
 }
 
 func (this *DB_GameMatchLevelMgr) unmarshal(data []byte) error {
@@ -34,6 +39,7 @@ func (this *DB_GameMatchLevelMgr) reunmarshal(data []byte) error {
 			if existItem == nil {
 				this.pool[item.GetId()] = item
 				this.Datas.Arr = append(this.Datas.Arr, item)
+				
 			} else {
 				*existItem = *item
 			}
@@ -54,6 +60,7 @@ func (this *DB_GameMatchLevelMgr) arrangeData() {
 
 	for _, data := range dataArr {
 		this.pool[data.GetId()] = data
+		
 	}
 }
 
@@ -64,6 +71,7 @@ func (this *DB_GameMatchLevelMgr) GetData(id int32) *server.DB_GameMatchLevel {
 	return nil
 }
 
+
 func init() {
 	DataMgr.register("DB_GameMatchLevel.dat", &ProtobufDataLoader{dh: PBDB_GameMatchLevelMgr})
 }
diff --git a/srvdata/db_gamerule.go b/srvdata/db_gamerule.go
index 46cd797..208aee0 100644
--- a/srvdata/db_gamerule.go
+++ b/srvdata/db_gamerule.go
@@ -10,11 +10,16 @@ import (
     "mongo.games.com/game/protocol/server"
 )
 
-var PBDB_GameRuleMgr = &DB_GameRuleMgr{pool: make(map[int32]*server.DB_GameRule), Datas: &server.DB_GameRuleArray{}}
+var PBDB_GameRuleMgr = &DB_GameRuleMgr{
+    Datas: &server.DB_GameRuleArray{},
+    pool: make(map[int32]*server.DB_GameRule),
+    
+}
 
 type DB_GameRuleMgr struct {
 	Datas *server.DB_GameRuleArray
 	pool  map[int32]*server.DB_GameRule
+	
 }
 
 func (this *DB_GameRuleMgr) unmarshal(data []byte) error {
@@ -34,6 +39,7 @@ func (this *DB_GameRuleMgr) reunmarshal(data []byte) error {
 			if existItem == nil {
 				this.pool[item.GetId()] = item
 				this.Datas.Arr = append(this.Datas.Arr, item)
+				
 			} else {
 				*existItem = *item
 			}
@@ -54,6 +60,7 @@ func (this *DB_GameRuleMgr) arrangeData() {
 
 	for _, data := range dataArr {
 		this.pool[data.GetId()] = data
+		
 	}
 }
 
@@ -64,6 +71,7 @@ func (this *DB_GameRuleMgr) GetData(id int32) *server.DB_GameRule {
 	return nil
 }
 
+
 func init() {
 	DataMgr.register("DB_GameRule.dat", &ProtobufDataLoader{dh: PBDB_GameRuleMgr})
 }
diff --git a/srvdata/db_gamesubsidy.go b/srvdata/db_gamesubsidy.go
index 14f8b21..7ef7cda 100644
--- a/srvdata/db_gamesubsidy.go
+++ b/srvdata/db_gamesubsidy.go
@@ -10,11 +10,16 @@ import (
     "mongo.games.com/game/protocol/server"
 )
 
-var PBDB_GameSubsidyMgr = &DB_GameSubsidyMgr{pool: make(map[int32]*server.DB_GameSubsidy), Datas: &server.DB_GameSubsidyArray{}}
+var PBDB_GameSubsidyMgr = &DB_GameSubsidyMgr{
+    Datas: &server.DB_GameSubsidyArray{},
+    pool: make(map[int32]*server.DB_GameSubsidy),
+    
+}
 
 type DB_GameSubsidyMgr struct {
 	Datas *server.DB_GameSubsidyArray
 	pool  map[int32]*server.DB_GameSubsidy
+	
 }
 
 func (this *DB_GameSubsidyMgr) unmarshal(data []byte) error {
@@ -34,6 +39,7 @@ func (this *DB_GameSubsidyMgr) reunmarshal(data []byte) error {
 			if existItem == nil {
 				this.pool[item.GetId()] = item
 				this.Datas.Arr = append(this.Datas.Arr, item)
+				
 			} else {
 				*existItem = *item
 			}
@@ -54,6 +60,7 @@ func (this *DB_GameSubsidyMgr) arrangeData() {
 
 	for _, data := range dataArr {
 		this.pool[data.GetId()] = data
+		
 	}
 }
 
@@ -64,6 +71,7 @@ func (this *DB_GameSubsidyMgr) GetData(id int32) *server.DB_GameSubsidy {
 	return nil
 }
 
+
 func init() {
 	DataMgr.register("DB_GameSubsidy.dat", &ProtobufDataLoader{dh: PBDB_GameSubsidyMgr})
 }
diff --git a/srvdata/db_gammatchlv.go b/srvdata/db_gammatchlv.go
index 997af33..d6f37b6 100644
--- a/srvdata/db_gammatchlv.go
+++ b/srvdata/db_gammatchlv.go
@@ -10,11 +10,16 @@ import (
     "mongo.games.com/game/protocol/server"
 )
 
-var PBDB_GamMatchLVMgr = &DB_GamMatchLVMgr{pool: make(map[int32]*server.DB_GamMatchLV), Datas: &server.DB_GamMatchLVArray{}}
+var PBDB_GamMatchLVMgr = &DB_GamMatchLVMgr{
+    Datas: &server.DB_GamMatchLVArray{},
+    pool: make(map[int32]*server.DB_GamMatchLV),
+    
+}
 
 type DB_GamMatchLVMgr struct {
 	Datas *server.DB_GamMatchLVArray
 	pool  map[int32]*server.DB_GamMatchLV
+	
 }
 
 func (this *DB_GamMatchLVMgr) unmarshal(data []byte) error {
@@ -34,6 +39,7 @@ func (this *DB_GamMatchLVMgr) reunmarshal(data []byte) error {
 			if existItem == nil {
 				this.pool[item.GetId()] = item
 				this.Datas.Arr = append(this.Datas.Arr, item)
+				
 			} else {
 				*existItem = *item
 			}
@@ -54,6 +60,7 @@ func (this *DB_GamMatchLVMgr) arrangeData() {
 
 	for _, data := range dataArr {
 		this.pool[data.GetId()] = data
+		
 	}
 }
 
@@ -64,6 +71,7 @@ func (this *DB_GamMatchLVMgr) GetData(id int32) *server.DB_GamMatchLV {
 	return nil
 }
 
+
 func init() {
 	DataMgr.register("DB_GamMatchLV.dat", &ProtobufDataLoader{dh: PBDB_GamMatchLVMgr})
 }
diff --git a/srvdata/db_giftbox.go b/srvdata/db_giftbox.go
index 37a0c92..b198f5e 100644
--- a/srvdata/db_giftbox.go
+++ b/srvdata/db_giftbox.go
@@ -10,11 +10,16 @@ import (
     "mongo.games.com/game/protocol/server"
 )
 
-var PBDB_GiftBoxMgr = &DB_GiftBoxMgr{pool: make(map[int32]*server.DB_GiftBox), Datas: &server.DB_GiftBoxArray{}}
+var PBDB_GiftBoxMgr = &DB_GiftBoxMgr{
+    Datas: &server.DB_GiftBoxArray{},
+    pool: make(map[int32]*server.DB_GiftBox),
+    
+}
 
 type DB_GiftBoxMgr struct {
 	Datas *server.DB_GiftBoxArray
 	pool  map[int32]*server.DB_GiftBox
+	
 }
 
 func (this *DB_GiftBoxMgr) unmarshal(data []byte) error {
@@ -34,6 +39,7 @@ func (this *DB_GiftBoxMgr) reunmarshal(data []byte) error {
 			if existItem == nil {
 				this.pool[item.GetId()] = item
 				this.Datas.Arr = append(this.Datas.Arr, item)
+				
 			} else {
 				*existItem = *item
 			}
@@ -54,6 +60,7 @@ func (this *DB_GiftBoxMgr) arrangeData() {
 
 	for _, data := range dataArr {
 		this.pool[data.GetId()] = data
+		
 	}
 }
 
@@ -64,6 +71,7 @@ func (this *DB_GiftBoxMgr) GetData(id int32) *server.DB_GiftBox {
 	return nil
 }
 
+
 func init() {
 	DataMgr.register("DB_GiftBox.dat", &ProtobufDataLoader{dh: PBDB_GiftBoxMgr})
 }
diff --git a/srvdata/db_giftcard.go b/srvdata/db_giftcard.go
index 9017fd9..ead9a65 100644
--- a/srvdata/db_giftcard.go
+++ b/srvdata/db_giftcard.go
@@ -10,11 +10,16 @@ import (
     "mongo.games.com/game/protocol/server"
 )
 
-var PBDB_GiftCardMgr = &DB_GiftCardMgr{pool: make(map[int32]*server.DB_GiftCard), Datas: &server.DB_GiftCardArray{}}
+var PBDB_GiftCardMgr = &DB_GiftCardMgr{
+    Datas: &server.DB_GiftCardArray{},
+    pool: make(map[int32]*server.DB_GiftCard),
+    
+}
 
 type DB_GiftCardMgr struct {
 	Datas *server.DB_GiftCardArray
 	pool  map[int32]*server.DB_GiftCard
+	
 }
 
 func (this *DB_GiftCardMgr) unmarshal(data []byte) error {
@@ -34,6 +39,7 @@ func (this *DB_GiftCardMgr) reunmarshal(data []byte) error {
 			if existItem == nil {
 				this.pool[item.GetId()] = item
 				this.Datas.Arr = append(this.Datas.Arr, item)
+				
 			} else {
 				*existItem = *item
 			}
@@ -54,6 +60,7 @@ func (this *DB_GiftCardMgr) arrangeData() {
 
 	for _, data := range dataArr {
 		this.pool[data.GetId()] = data
+		
 	}
 }
 
@@ -64,6 +71,7 @@ func (this *DB_GiftCardMgr) GetData(id int32) *server.DB_GiftCard {
 	return nil
 }
 
+
 func init() {
 	DataMgr.register("DB_GiftCard.dat", &ProtobufDataLoader{dh: PBDB_GiftCardMgr})
 }
diff --git a/srvdata/db_iceageelementrate.go b/srvdata/db_iceageelementrate.go
index f42fcd4..f69e73d 100644
--- a/srvdata/db_iceageelementrate.go
+++ b/srvdata/db_iceageelementrate.go
@@ -10,11 +10,16 @@ import (
     "mongo.games.com/game/protocol/server"
 )
 
-var PBDB_IceAgeElementRateMgr = &DB_IceAgeElementRateMgr{pool: make(map[int32]*server.DB_IceAgeElementRate), Datas: &server.DB_IceAgeElementRateArray{}}
+var PBDB_IceAgeElementRateMgr = &DB_IceAgeElementRateMgr{
+    Datas: &server.DB_IceAgeElementRateArray{},
+    pool: make(map[int32]*server.DB_IceAgeElementRate),
+    
+}
 
 type DB_IceAgeElementRateMgr struct {
 	Datas *server.DB_IceAgeElementRateArray
 	pool  map[int32]*server.DB_IceAgeElementRate
+	
 }
 
 func (this *DB_IceAgeElementRateMgr) unmarshal(data []byte) error {
@@ -34,6 +39,7 @@ func (this *DB_IceAgeElementRateMgr) reunmarshal(data []byte) error {
 			if existItem == nil {
 				this.pool[item.GetId()] = item
 				this.Datas.Arr = append(this.Datas.Arr, item)
+				
 			} else {
 				*existItem = *item
 			}
@@ -54,6 +60,7 @@ func (this *DB_IceAgeElementRateMgr) arrangeData() {
 
 	for _, data := range dataArr {
 		this.pool[data.GetId()] = data
+		
 	}
 }
 
@@ -64,6 +71,7 @@ func (this *DB_IceAgeElementRateMgr) GetData(id int32) *server.DB_IceAgeElementR
 	return nil
 }
 
+
 func init() {
 	DataMgr.register("DB_IceAgeElementRate.dat", &ProtobufDataLoader{dh: PBDB_IceAgeElementRateMgr})
 }
diff --git a/srvdata/db_legend_odds.go b/srvdata/db_legend_odds.go
index e926398..8330f13 100644
--- a/srvdata/db_legend_odds.go
+++ b/srvdata/db_legend_odds.go
@@ -10,11 +10,16 @@ import (
     "mongo.games.com/game/protocol/server"
 )
 
-var PBDB_Legend_OddsMgr = &DB_Legend_OddsMgr{pool: make(map[int32]*server.DB_Legend_Odds), Datas: &server.DB_Legend_OddsArray{}}
+var PBDB_Legend_OddsMgr = &DB_Legend_OddsMgr{
+    Datas: &server.DB_Legend_OddsArray{},
+    pool: make(map[int32]*server.DB_Legend_Odds),
+    
+}
 
 type DB_Legend_OddsMgr struct {
 	Datas *server.DB_Legend_OddsArray
 	pool  map[int32]*server.DB_Legend_Odds
+	
 }
 
 func (this *DB_Legend_OddsMgr) unmarshal(data []byte) error {
@@ -34,6 +39,7 @@ func (this *DB_Legend_OddsMgr) reunmarshal(data []byte) error {
 			if existItem == nil {
 				this.pool[item.GetId()] = item
 				this.Datas.Arr = append(this.Datas.Arr, item)
+				
 			} else {
 				*existItem = *item
 			}
@@ -54,6 +60,7 @@ func (this *DB_Legend_OddsMgr) arrangeData() {
 
 	for _, data := range dataArr {
 		this.pool[data.GetId()] = data
+		
 	}
 }
 
@@ -64,6 +71,7 @@ func (this *DB_Legend_OddsMgr) GetData(id int32) *server.DB_Legend_Odds {
 	return nil
 }
 
+
 func init() {
 	DataMgr.register("DB_Legend_Odds.dat", &ProtobufDataLoader{dh: PBDB_Legend_OddsMgr})
 }
diff --git a/srvdata/db_legend_turnrate.go b/srvdata/db_legend_turnrate.go
index 1794023..0012c69 100644
--- a/srvdata/db_legend_turnrate.go
+++ b/srvdata/db_legend_turnrate.go
@@ -10,11 +10,16 @@ import (
     "mongo.games.com/game/protocol/server"
 )
 
-var PBDB_Legend_TurnRateMgr = &DB_Legend_TurnRateMgr{pool: make(map[int32]*server.DB_Legend_TurnRate), Datas: &server.DB_Legend_TurnRateArray{}}
+var PBDB_Legend_TurnRateMgr = &DB_Legend_TurnRateMgr{
+    Datas: &server.DB_Legend_TurnRateArray{},
+    pool: make(map[int32]*server.DB_Legend_TurnRate),
+    
+}
 
 type DB_Legend_TurnRateMgr struct {
 	Datas *server.DB_Legend_TurnRateArray
 	pool  map[int32]*server.DB_Legend_TurnRate
+	
 }
 
 func (this *DB_Legend_TurnRateMgr) unmarshal(data []byte) error {
@@ -34,6 +39,7 @@ func (this *DB_Legend_TurnRateMgr) reunmarshal(data []byte) error {
 			if existItem == nil {
 				this.pool[item.GetId()] = item
 				this.Datas.Arr = append(this.Datas.Arr, item)
+				
 			} else {
 				*existItem = *item
 			}
@@ -54,6 +60,7 @@ func (this *DB_Legend_TurnRateMgr) arrangeData() {
 
 	for _, data := range dataArr {
 		this.pool[data.GetId()] = data
+		
 	}
 }
 
@@ -64,6 +71,7 @@ func (this *DB_Legend_TurnRateMgr) GetData(id int32) *server.DB_Legend_TurnRate
 	return nil
 }
 
+
 func init() {
 	DataMgr.register("DB_Legend_TurnRate.dat", &ProtobufDataLoader{dh: PBDB_Legend_TurnRateMgr})
 }
diff --git a/srvdata/db_legend_weight.go b/srvdata/db_legend_weight.go
index b6b3190..3a5d4d1 100644
--- a/srvdata/db_legend_weight.go
+++ b/srvdata/db_legend_weight.go
@@ -10,11 +10,16 @@ import (
     "mongo.games.com/game/protocol/server"
 )
 
-var PBDB_Legend_WeightMgr = &DB_Legend_WeightMgr{pool: make(map[int32]*server.DB_Legend_Weight), Datas: &server.DB_Legend_WeightArray{}}
+var PBDB_Legend_WeightMgr = &DB_Legend_WeightMgr{
+    Datas: &server.DB_Legend_WeightArray{},
+    pool: make(map[int32]*server.DB_Legend_Weight),
+    
+}
 
 type DB_Legend_WeightMgr struct {
 	Datas *server.DB_Legend_WeightArray
 	pool  map[int32]*server.DB_Legend_Weight
+	
 }
 
 func (this *DB_Legend_WeightMgr) unmarshal(data []byte) error {
@@ -34,6 +39,7 @@ func (this *DB_Legend_WeightMgr) reunmarshal(data []byte) error {
 			if existItem == nil {
 				this.pool[item.GetId()] = item
 				this.Datas.Arr = append(this.Datas.Arr, item)
+				
 			} else {
 				*existItem = *item
 			}
@@ -54,6 +60,7 @@ func (this *DB_Legend_WeightMgr) arrangeData() {
 
 	for _, data := range dataArr {
 		this.pool[data.GetId()] = data
+		
 	}
 }
 
@@ -64,6 +71,7 @@ func (this *DB_Legend_WeightMgr) GetData(id int32) *server.DB_Legend_Weight {
 	return nil
 }
 
+
 func init() {
 	DataMgr.register("DB_Legend_Weight.dat", &ProtobufDataLoader{dh: PBDB_Legend_WeightMgr})
 }
diff --git a/srvdata/db_legend_weightcondition.go b/srvdata/db_legend_weightcondition.go
index c5cce72..1898dcd 100644
--- a/srvdata/db_legend_weightcondition.go
+++ b/srvdata/db_legend_weightcondition.go
@@ -10,11 +10,16 @@ import (
     "mongo.games.com/game/protocol/server"
 )
 
-var PBDB_Legend_WeightConditionMgr = &DB_Legend_WeightConditionMgr{pool: make(map[int32]*server.DB_Legend_WeightCondition), Datas: &server.DB_Legend_WeightConditionArray{}}
+var PBDB_Legend_WeightConditionMgr = &DB_Legend_WeightConditionMgr{
+    Datas: &server.DB_Legend_WeightConditionArray{},
+    pool: make(map[int32]*server.DB_Legend_WeightCondition),
+    
+}
 
 type DB_Legend_WeightConditionMgr struct {
 	Datas *server.DB_Legend_WeightConditionArray
 	pool  map[int32]*server.DB_Legend_WeightCondition
+	
 }
 
 func (this *DB_Legend_WeightConditionMgr) unmarshal(data []byte) error {
@@ -34,6 +39,7 @@ func (this *DB_Legend_WeightConditionMgr) reunmarshal(data []byte) error {
 			if existItem == nil {
 				this.pool[item.GetId()] = item
 				this.Datas.Arr = append(this.Datas.Arr, item)
+				
 			} else {
 				*existItem = *item
 			}
@@ -54,6 +60,7 @@ func (this *DB_Legend_WeightConditionMgr) arrangeData() {
 
 	for _, data := range dataArr {
 		this.pool[data.GetId()] = data
+		
 	}
 }
 
@@ -64,6 +71,7 @@ func (this *DB_Legend_WeightConditionMgr) GetData(id int32) *server.DB_Legend_We
 	return nil
 }
 
+
 func init() {
 	DataMgr.register("DB_Legend_WeightCondition.dat", &ProtobufDataLoader{dh: PBDB_Legend_WeightConditionMgr})
 }
diff --git a/srvdata/db_matchrank.go b/srvdata/db_matchrank.go
index de52c8c..680bc5a 100644
--- a/srvdata/db_matchrank.go
+++ b/srvdata/db_matchrank.go
@@ -10,11 +10,16 @@ import (
     "mongo.games.com/game/protocol/server"
 )
 
-var PBDB_MatchRankMgr = &DB_MatchRankMgr{pool: make(map[int32]*server.DB_MatchRank), Datas: &server.DB_MatchRankArray{}}
+var PBDB_MatchRankMgr = &DB_MatchRankMgr{
+    Datas: &server.DB_MatchRankArray{},
+    pool: make(map[int32]*server.DB_MatchRank),
+    
+}
 
 type DB_MatchRankMgr struct {
 	Datas *server.DB_MatchRankArray
 	pool  map[int32]*server.DB_MatchRank
+	
 }
 
 func (this *DB_MatchRankMgr) unmarshal(data []byte) error {
@@ -34,6 +39,7 @@ func (this *DB_MatchRankMgr) reunmarshal(data []byte) error {
 			if existItem == nil {
 				this.pool[item.GetId()] = item
 				this.Datas.Arr = append(this.Datas.Arr, item)
+				
 			} else {
 				*existItem = *item
 			}
@@ -54,6 +60,7 @@ func (this *DB_MatchRankMgr) arrangeData() {
 
 	for _, data := range dataArr {
 		this.pool[data.GetId()] = data
+		
 	}
 }
 
@@ -64,6 +71,7 @@ func (this *DB_MatchRankMgr) GetData(id int32) *server.DB_MatchRank {
 	return nil
 }
 
+
 func init() {
 	DataMgr.register("DB_MatchRank.dat", &ProtobufDataLoader{dh: PBDB_MatchRankMgr})
 }
diff --git a/srvdata/db_name.go b/srvdata/db_name.go
index 25bdada..7a2703f 100644
--- a/srvdata/db_name.go
+++ b/srvdata/db_name.go
@@ -10,11 +10,16 @@ import (
     "mongo.games.com/game/protocol/server"
 )
 
-var PBDB_NameMgr = &DB_NameMgr{pool: make(map[int32]*server.DB_Name), Datas: &server.DB_NameArray{}}
+var PBDB_NameMgr = &DB_NameMgr{
+    Datas: &server.DB_NameArray{},
+    pool: make(map[int32]*server.DB_Name),
+    
+}
 
 type DB_NameMgr struct {
 	Datas *server.DB_NameArray
 	pool  map[int32]*server.DB_Name
+	
 }
 
 func (this *DB_NameMgr) unmarshal(data []byte) error {
@@ -34,6 +39,7 @@ func (this *DB_NameMgr) reunmarshal(data []byte) error {
 			if existItem == nil {
 				this.pool[item.GetId()] = item
 				this.Datas.Arr = append(this.Datas.Arr, item)
+				
 			} else {
 				*existItem = *item
 			}
@@ -54,6 +60,7 @@ func (this *DB_NameMgr) arrangeData() {
 
 	for _, data := range dataArr {
 		this.pool[data.GetId()] = data
+		
 	}
 }
 
@@ -64,6 +71,7 @@ func (this *DB_NameMgr) GetData(id int32) *server.DB_Name {
 	return nil
 }
 
+
 func init() {
 	DataMgr.register("DB_Name.dat", &ProtobufDataLoader{dh: PBDB_NameMgr})
 }
diff --git a/srvdata/db_nameboy.go b/srvdata/db_nameboy.go
index a5bd096..51c5305 100644
--- a/srvdata/db_nameboy.go
+++ b/srvdata/db_nameboy.go
@@ -10,11 +10,16 @@ import (
     "mongo.games.com/game/protocol/server"
 )
 
-var PBDB_NameBoyMgr = &DB_NameBoyMgr{pool: make(map[int32]*server.DB_NameBoy), Datas: &server.DB_NameBoyArray{}}
+var PBDB_NameBoyMgr = &DB_NameBoyMgr{
+    Datas: &server.DB_NameBoyArray{},
+    pool: make(map[int32]*server.DB_NameBoy),
+    
+}
 
 type DB_NameBoyMgr struct {
 	Datas *server.DB_NameBoyArray
 	pool  map[int32]*server.DB_NameBoy
+	
 }
 
 func (this *DB_NameBoyMgr) unmarshal(data []byte) error {
@@ -34,6 +39,7 @@ func (this *DB_NameBoyMgr) reunmarshal(data []byte) error {
 			if existItem == nil {
 				this.pool[item.GetId()] = item
 				this.Datas.Arr = append(this.Datas.Arr, item)
+				
 			} else {
 				*existItem = *item
 			}
@@ -54,6 +60,7 @@ func (this *DB_NameBoyMgr) arrangeData() {
 
 	for _, data := range dataArr {
 		this.pool[data.GetId()] = data
+		
 	}
 }
 
@@ -64,6 +71,7 @@ func (this *DB_NameBoyMgr) GetData(id int32) *server.DB_NameBoy {
 	return nil
 }
 
+
 func init() {
 	DataMgr.register("DB_NameBoy.dat", &ProtobufDataLoader{dh: PBDB_NameBoyMgr})
 }
diff --git a/srvdata/db_namegirl.go b/srvdata/db_namegirl.go
index 1005da7..c439d1d 100644
--- a/srvdata/db_namegirl.go
+++ b/srvdata/db_namegirl.go
@@ -10,11 +10,16 @@ import (
     "mongo.games.com/game/protocol/server"
 )
 
-var PBDB_NameGirlMgr = &DB_NameGirlMgr{pool: make(map[int32]*server.DB_NameGirl), Datas: &server.DB_NameGirlArray{}}
+var PBDB_NameGirlMgr = &DB_NameGirlMgr{
+    Datas: &server.DB_NameGirlArray{},
+    pool: make(map[int32]*server.DB_NameGirl),
+    
+}
 
 type DB_NameGirlMgr struct {
 	Datas *server.DB_NameGirlArray
 	pool  map[int32]*server.DB_NameGirl
+	
 }
 
 func (this *DB_NameGirlMgr) unmarshal(data []byte) error {
@@ -34,6 +39,7 @@ func (this *DB_NameGirlMgr) reunmarshal(data []byte) error {
 			if existItem == nil {
 				this.pool[item.GetId()] = item
 				this.Datas.Arr = append(this.Datas.Arr, item)
+				
 			} else {
 				*existItem = *item
 			}
@@ -54,6 +60,7 @@ func (this *DB_NameGirlMgr) arrangeData() {
 
 	for _, data := range dataArr {
 		this.pool[data.GetId()] = data
+		
 	}
 }
 
@@ -64,6 +71,7 @@ func (this *DB_NameGirlMgr) GetData(id int32) *server.DB_NameGirl {
 	return nil
 }
 
+
 func init() {
 	DataMgr.register("DB_NameGirl.dat", &ProtobufDataLoader{dh: PBDB_NameGirlMgr})
 }
diff --git a/srvdata/db_newplayer.go b/srvdata/db_newplayer.go
index 6742acb..317b02e 100644
--- a/srvdata/db_newplayer.go
+++ b/srvdata/db_newplayer.go
@@ -10,11 +10,16 @@ import (
     "mongo.games.com/game/protocol/server"
 )
 
-var PBDB_NewPlayerMgr = &DB_NewPlayerMgr{pool: make(map[int32]*server.DB_NewPlayer), Datas: &server.DB_NewPlayerArray{}}
+var PBDB_NewPlayerMgr = &DB_NewPlayerMgr{
+    Datas: &server.DB_NewPlayerArray{},
+    pool: make(map[int32]*server.DB_NewPlayer),
+    
+}
 
 type DB_NewPlayerMgr struct {
 	Datas *server.DB_NewPlayerArray
 	pool  map[int32]*server.DB_NewPlayer
+	
 }
 
 func (this *DB_NewPlayerMgr) unmarshal(data []byte) error {
@@ -34,6 +39,7 @@ func (this *DB_NewPlayerMgr) reunmarshal(data []byte) error {
 			if existItem == nil {
 				this.pool[item.GetId()] = item
 				this.Datas.Arr = append(this.Datas.Arr, item)
+				
 			} else {
 				*existItem = *item
 			}
@@ -54,6 +60,7 @@ func (this *DB_NewPlayerMgr) arrangeData() {
 
 	for _, data := range dataArr {
 		this.pool[data.GetId()] = data
+		
 	}
 }
 
@@ -64,6 +71,7 @@ func (this *DB_NewPlayerMgr) GetData(id int32) *server.DB_NewPlayer {
 	return nil
 }
 
+
 func init() {
 	DataMgr.register("DB_NewPlayer.dat", &ProtobufDataLoader{dh: PBDB_NewPlayerMgr})
 }
